공개 APIAPI 레퍼런스Registry

Registry 접근 토큰을 발급합니다

베타 API

/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

GET/v1/registry/token

Bearer 또는 Registry Basic password로 인증합니다. service와 반복 가능한 scope=repository::pull,push를 받아 최대 32개 repository 권한을 확인합니다. ntro registry login 명령이 안내하는 로그인에 사용합니다.

인증

bearerAuth
인증Bearer <token>

로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.

위치: header

쿼리 매개변수

scope?array<string>
service*string

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/registry/token?service=string"
{  "expires_in": 0,  "issued_at": "string",  "token": "string"}